@charset "utf-8";
/*
Theme Name: Lightning Child
Theme URI: �� �e�[�}�̌����T�C�g�Ȃǂ�URL�i�󗓂ł��j ��
Template: lightning
Description: �� �e�[�}�̐����i�󗓂ł��j ��
Author: �� �e�[�}�쐬�҂̖��O�i�󗓂ł��j ��
Tags:
Version: 0.1.2
*/


* {
	box-sizing: border-box;
	margin: 0;
	padding: 0;
}
::before , ::after {
	box-sizing: inherit;

	padding:0px;
	margin:0px;
	border: 0px;

}
button {
	margin: 0;
	padding: 0;
	border: 0;
	border-radius: 0;
	background: transparent;
	color: inherit;
	vertical-align: middle;
	text-align: inherit;
	font: inherit;
	-webkit-appearance: none;
	appearance: none;
	z-index: 100;
}

@media screen and (max-width: 750px) {
.menu {
	position: fixed;
  right: -50%;
  width: 50%;
  height: 60vh;
  margin-left: auto;
  display: flex;
  flex-direction: column;
  color: #efefef;
  background-color: rgba(167, 148, 58, 0.9);
  transition: .3s;
	z-index:100;
}
.menu.open {
  right: 0;
}

.menu-list {
  width: 100%;
  height: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
}
.menu-list a{
font-size: 1.2em;
color: white;
text-decoration:none;

}

.btn {
  position: fixed;
  top: 10px;
  right: 16px;
  width: 48px;
  height: 48px;
  z-index: 10;
}
.btn-line {
	display: block;
	position: relative;
	width: 100%;
	height: 4px;
	background-color: #d6d5d5;
	transition: .2s;
}
/****** �㉺�̃o�[�K�[�� *****/
.btn-line::before,
.btn-line::after {
  content: "";
  position: absolute;
  width: 100%;
  height: 100%;
  background-color: #d6d5d5;
  transition: .5s;
}
.btn-line::before {
  transform: translate(-24px,-16px);
}
.btn-line::after {
  transform: translate(-24px,16px);
}

.btn-line.open {
	background-color: transparent;
}
.btn-line.open::before ,
.btn-line.open::after {
	content: "";
	background-color: #333;
	transition: .2s;
}
.btn-line.open::before {
	transform: rotate(45deg);
}
.btn-line.open::after {
	transform: rotate(-45deg);
}
}
